Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228173 - Python packaging error
Summary: Python packaging error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plplot
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-10 23:40 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 22:54:42 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-10 23:40:19 UTC
plplot - 5.7.2-1.fc7.x86_64

     /usr/lib/python2.5/site-packages/_plplotcmodule.so
     /usr/lib/python2.5/site-packages/plplot_widgetmodule.so
     /usr/lib/python2.5/site-packages/plplot_widgetmodule.so

Package installs a shared library into python_sitelib instead
of python_sitearch. This also creates a multi-lib conflict.

http://fedoraproject.org/wiki/Packaging/Python

Comment 1 Michael Schwendt 2007-02-10 23:54:23 UTC
plplot-gnome - 5.7.2-1.fc7.i386
  Conflicts: 2
  File conflict in:
     /usr/lib/python2.5/site-packages/cplplotcanvasmodule.so
     /usr/lib/python2.5/site-packages/gcwmodule.so
  Packages with the same files:
     plplot-gnome - 5.7.2-1.fc7.x86_64



Comment 2 Orion Poplawski 2007-02-13 05:19:17 UTC
This should be fixed with a patch sent upstream with 5.7.2-3, which will be
built once we figure out how to compile plplot against Tcl 8.5.


Note You need to log in before you can comment on or make changes to this bug.